echo off
cls
IF NOT EXIST A:\MOUSE.COM GOTO WRONGDSK
IF NOT EXIST A:\HIDEDRVE.EXE GOTO WRONGDSK
IF NOT EXIST A:\COMCHECK.EXE GOTO WRONGDSK
IF NOT EXIST A:\PKUNZIP.EXE  GOTO WRONGDSK
goto START
:SCRERROR
:WRONGDSK
cls
echo ÿ
echo ÿ
echo ÿ      INSTALL must be run from the Dexxa Mouse Utility diskette.
echo ÿ
echo ÿ      Insert your Dexxa Mouse Utility disk into drive A 
echo        At the DOS promp, type   A: [ENTER] 
echo        Then type                INSTALL [ENTER]
echo ÿ
echo ÿ
echo ÿ
pause
goto THEEND
:START
cls
echo ÿ
echo ÿ
echo ÿ      Running Dexxa Mouse Utility Installation Program
echo ÿ
a:hidedrve
a:mouse nb> nul
if errorlevel 1 goto MOUSEERR
if errorlevel 0 goto DODWINST
:DODWINST
CLICK > nul
DMINST >nul
cls
echo ÿ
echo ÿ
echo ÿ        End of Dexxa Mouse Utility Installation
echo ÿ
echo ÿ
goto THEEND

:MOUSEERR
a:comcheck
:THEEND
echo on
